> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/pvinstance.md).

# PVInstance

PVInstance : `Instance`

## Overview

This is a common base class for objects that have a position and physical coordinates in the game.

All elements that exist in space, such as BasePart and Model, operate based on this class

## Properties

### Origin

`CFrame`

This property indicates the position relative to the pivot.

This property is not accessible via scripts and can only be checked in the editor.

#### Code Samples

### PivotOffsetCFrame

`CFrame`

Currently not supported.

#### Code Samples

## Methods

### GetPivot

Currently not supported.

#### Parameters

#### Return

| `CFrame` | Returns a CFrame representing the pivot position and rotation of the instance. |
| -------- | ------------------------------------------------------------------------------ |

#### Code Samples

### PivotTo

Currently not supported.

#### Parameters

| `CFrame` InTargetCFrame | The target CFrame to move the instance's pivot to. |
| ----------------------- | -------------------------------------------------- |

#### Return

| `void` |   |
| ------ | - |

#### Code Samples

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/pvinstance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
